Bug 1012982 - javapackages-tools: add_maven_depmap should inject classifier/extension information into pom.properties
javapackages-tools: add_maven_depmap should inject classifier/extension infor...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: javapackages-tools (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mikolaj Izdebski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-27 09:44 EDT by Stanislav Ochotnicky
Modified: 2013-10-08 14:19 EDT (History)
5 users (show)

See Also:
Fixed In Version: 3.3.1-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-08 14:19:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stanislav Ochotnicky 2013-09-27 09:44:33 EDT
Description of problem:
packages that use classifiers/extensions and use add_maven_depmap to add mappings are currently missing these classifiers/extensions in pom.properties. maven_depmap.py should be fixed to inject this information as well
Comment 1 Michael Simacek 2013-10-03 05:55:42 EDT
Test case added in upstream commit e428abf
Comment 2 Stanislav Ochotnicky 2013-10-04 08:02:50 EDT
Fixed in upstream commit 50e3d5a6
Comment 3 Mikolaj Izdebski 2013-10-08 14:02:46 EDT
Fixed in javapackages-tools-3.3.1-1
Comment 4 Mikolaj Izdebski 2013-10-08 14:19:12 EDT
I believe that this bug is fixed in javapackages-tools-3.3.1-1,
which is available in Fedora Rawhide, so I am closing this bug now.

The build containing the fix can be found at Koji:
http://koji.fedoraproject.org/koji/buildinfo?buildID=469008

Note You need to log in before you can comment on or make changes to this bug.